# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class ManagementEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<ManagementEntry>
                  com.google.gdata.data.analytics.ManagementEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ManagementEntry

extends BaseEntry<ManagementEntry>

Entry element for GA data source feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ManagementEntry()` Default mutable constructor.
`ManagementEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addProperty(Property property)` Adds a new property.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`AnalyticsLink` `getChildLink(java.lang.String targetKind)` Returns the link with the given targetKind.
`java.util.List<AnalyticsLink>` `getChildLinks()` Returns all the child links contained in the entry.
`Goal` `getGoal()` Returns the goal.
`java.util.List<AnalyticsLink>` `getParentLinks()` Returns all the parent links contained in the entry.
`java.util.List<Property>` `getProperties()` Returns the properties.
`java.lang.String` `getProperty(java.lang.String name)` Returns the value of the named property of this entry.
`Segment` `getSegment()` Returns the segment.
`boolean` `hasGoal()` Returns whether it has the goal.
`boolean` `hasProperties()` Returns whether it has the properties.
`boolean` `hasSegment()` Returns whether it has the segment.
`void` `setGoal(Goal goal)` Sets the goal.
`void` `setSegment(Segment segment)` Sets the segment.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagementEntry

    public ManagementEntry()

  Default mutable constructor.

### ManagementEntry

    public ManagementEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getGoal

    public Goal getGoal()

  Returns the goal.

  Returns:
    goal

### setGoal

    public void setGoal(Goal goal)

  Sets the goal.

  Parameters:
    `goal` - goal or `null` to reset

### hasGoal

    public boolean hasGoal()

  Returns whether it has the goal.

  Returns:
    whether it has the goal

### getProperties

    public java.util.List<Property> getProperties()

  Returns the properties.

  Returns:
    properties

### addProperty

    public void addProperty(Property property)

  Adds a new property.

  Parameters:
    `property` - property

### hasProperties

    public boolean hasProperties()

  Returns whether it has the properties.

  Returns:
    whether it has the properties

### getSegment

    public Segment getSegment()

  Returns the segment.

  Returns:
    segment

### setSegment

    public void setSegment(Segment segment)

  Sets the segment.

  Parameters:
    `segment` - segment or `null` to reset

### hasSegment

    public boolean hasSegment()

  Returns whether it has the segment.

  Returns:
    whether it has the segment

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Returns the value of the named property of this entry. More specifically, it returns the content of the `value` attribute of the `dxp:property` whose `name` attribute matches the argument. Returns `null` if no such property exists.

  Parameters:
    `name` - the property to retrieve from this entry
  Returns:
    string value of the named property or null if it doesn't exist

### getParentLinks

    public java.util.List<AnalyticsLink> getParentLinks()

  Returns all the parent links contained in the entry.

### getChildLinks

    public java.util.List<AnalyticsLink> getChildLinks()

  Returns all the child links contained in the entry.

### getChildLink

    public AnalyticsLink getChildLink(java.lang.String targetKind)

  Returns the link with the given targetKind. It returns `null` if a link with the given targetKind value is not found.